package com.hithomelabs.clients.module7;

import com.hithomelabs.princeton1.common.Apple;
import com.hithomelabs.princeton1.module7.Quick;

import java.util.Random;

public class QuickSortClient {

    public static void main(String[] args) {
        int size = 100;
        Apple[] apples = new Apple[size];
        Quick<Apple> quick = new Quick<Apple>();

        for (int i = 0; i < apples.length; i++) {
            apples[i] = new Apple(new Random().nextInt(1000));
        }
        quick.sort(apples);
        for (int i = 0; i < apples.length; i++)
            System.out.println(apples[i]);
    }
}
